> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Set monitored model as governed

> Add monitor model entry and set it as governed



## OpenAPI

````yaml /api-specs/6.3/governance-api.yaml post /bundles/{id}/register-endpoint
openapi: 3.0.0
info:
  contact:
    email: support@dominodatalab.com
    name: Domino Data Lab
    url: https://tickets.dominodatalab.com/hc/en-us
  description: Service responsible for managing Domino Governance feature
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  title: Domino Governance API
  version: '1.0'
servers: []
security: []
paths:
  /bundles/{id}/register-endpoint:
    post:
      tags:
        - bundles
      summary: Set monitored model as governed
      description: Add monitor model entry and set it as governed
      parameters:
        - description: ID of the bundle to which the monitored endpoint belongs
          in: path
          name: id
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/guardrails.RegisterMonitorModelRequest'
        description: Endpoint to govern
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/guardrails.MonitorModel'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.HTTPError'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.HTTPError'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.HTTPError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.HTTPError'
components:
  schemas:
    guardrails.RegisterMonitorModelRequest:
      properties:
        approvalID:
          type: string
        approver:
          $ref: '#/components/schemas/guardrails.FindingUser'
        artifactID:
          type: string
        assignee:
          $ref: '#/components/schemas/guardrails.FindingUser'
        endpointVersionID:
          type: string
        evidenceID:
          type: string
        isGoverned:
          type: boolean
        meta:
          $ref: '#/components/schemas/guardrails.FindingMeta'
      required:
        - approvalID
        - approver
        - artifactID
        - assignee
        - endpointVersionID
        - evidenceID
        - isGoverned
      type: object
    guardrails.MonitorModel:
      properties:
        bundleId:
          type: string
        createdAt:
          type: string
        endpointVersionId:
          type: string
        id:
          type: string
        isGoverned:
          type: boolean
        lastFailedAt:
          type: string
        modelId:
          type: string
        name:
          type: string
        tracking:
          $ref: '#/components/schemas/guardrails.AlertTracking'
        updatedAt:
          type: string
      type: object
    server.HTTPError:
      properties:
        message:
          type: string
      type: object
    guardrails.FindingUser:
      properties:
        id:
          type: string
        name:
          type: string
      required:
        - id
        - name
      type: object
    guardrails.FindingMeta:
      properties:
        artifactContent:
          type: string
      type: object
    guardrails.AlertTracking:
      properties:
        approvalId:
          type: string
        approver:
          $ref: '#/components/schemas/guardrails.FindingUser'
        artifactId:
          type: string
        assignee:
          $ref: '#/components/schemas/guardrails.FindingUser'
        evidenceId:
          type: string
        meta:
          $ref: '#/components/schemas/guardrails.FindingMeta'
      required:
        - approvalId
        - approver
        - artifactId
        - assignee
        - evidenceId
      type: object

````